Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethod

All Superinterfaces
  BusinessSmartComponent, javax.ejb.EJBObject, Entity, Remote, RemoteRelationalReference, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ShippingMethod

extends Entity

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

A key that uniquely identifies this shipping method.

- Containment: By Value
- Multiplicity: 1:1
- PRIMARY KEY FIELD

Attribute: sizeLimit The maximum deliverable quantity.

- Containment: By Value
- Multiplicity: 1:1

Attribute: description An textual description of this shipping mechanism.

- Containment: By Value
- Multiplicity: 1:1

Attribute: signatureRequired True if the customer is required to acknowled delivery with a signature.

- Containment: By Value
- Multiplicity: 1:1

Attribute: weightLimit The maximum weight limit for this shipping mechanism.

- Containment: By Value
- Multiplicity: 1:1

Attribute: percentage Used when the shipping cost is a percentage of the total value of the order.

- Containment: By Value
- Multiplicity: 1:1

Attribute: poBoxAllowed True if this mechanism will allow delivery to a post office box.

- Containment: By Value
- Multiplicity: 1:1

Attribute: restrictions A description of any restrictions that apply to this shipping mechanism.

- Containment: By Value
- Multiplicity: 1:1

Attribute: averageShippingTime The average delivery time.

- Containment: By Value
- Multiplicity: 1:1

Attribute: carrier The service provider used for delivery.

- Containment: By Value
- Multiplicity: 1:1

Attribute: saturdayDelivery True if ths shipping mechanism will deliver on a Saturday.

- Containment: By Value
- Multiplicity: 1:1

Attribute: price The base shipping cost.

- Containment: By Value
- Multiplicity: 1:1

Attribute: packagingType

- Containment: By Value
- Multiplicity: 1:1

Attribute: costCalculationMechanism Used to specify one of the pre-programmed shipping cost calculation mechanisms. * Policy:Uses the Shipping Cost Calculation Policy to determine the total cost. * FlatRate: A single flat rate price is returned as specified in the price field. * PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost. * Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.

- Containment: By Value
- Multiplicity: 1:1

Attribute: method The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..

- Containment: By Value
- Multiplicity: 1:1

Attribute: internationalDelivery True if this mechanism will deliver internationally.

- Containment: By Value
- Multiplicity: 1:1

See Also
  `ShippingMethodPk`, `ShippingMethodHome`, `ShippingMethodImpl`, `ShippingMethodValue`

Method Summary
`int` | `getAverageShippingTime()` Deprecated See BEA Commerce product offering
`String` | `getCarrier()` Deprecated See BEA Commerce product offering
`String` | `getCostCalculationMechanism()` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`boolean` | `getInternationalDelivery()` Deprecated See BEA Commerce product offering
`String` | `getMethod()` Deprecated See BEA Commerce product offering
`String` | `getPackagingType()` Deprecated See BEA Commerce product offering
`double` | `getPercentage()` Deprecated See BEA Commerce product offering
`boolean` | `getPoBoxAllowed()` Deprecated See BEA Commerce product offering
`Money` | `getPrice()` Deprecated See BEA Commerce product offering
`String` | `getRestrictions()` Deprecated See BEA Commerce product offering
`boolean` | `getSaturdayDelivery()` Deprecated See BEA Commerce product offering
`ShippingMethodValue` | `getShippingMethodByValue()` Deprecated See BEA Commerce product offering
`boolean` | `getSignatureRequired()` Deprecated See BEA Commerce product offering
`double` | `getSizeLimit()` Deprecated See BEA Commerce product offering
`double` | `getWeightLimit()` Deprecated See BEA Commerce product offering
`void` | `setAverageShippingTime(int averageShippingTime)` Deprecated See BEA Commerce product offering
`void` | `setCarrier(String carrier)` Deprecated See BEA Commerce product offering
`void` | `setCostCalculationMechanism(String costCalculationMechanism)` Deprecated See BEA Commerce product offering
`void` | `setDescription(String description)` Deprecated See BEA Commerce product offering
`void` | `setInternationalDelivery(boolean internationalDelivery)` Deprecated See BEA Commerce product offering
`void` | `setMethod(String method)` Deprecated See BEA Commerce product offering
`void` | `setPackagingType(String packagingType)` Deprecated See BEA Commerce product offering
`void` | `setPercentage(double percentage)` Deprecated See BEA Commerce product offering
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Deprecated See BEA Commerce product offering
`void` | `setPrice(Money price)` Deprecated See BEA Commerce product offering
`void` | `setRestrictions(String restrictions)` Deprecated See BEA Commerce product offering
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Deprecated See BEA Commerce product offering
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Deprecated See BEA Commerce product offering
`void` | `setSignatureRequired(boolean signatureRequired)` Deprecated See BEA Commerce product offering
`void` | `setSizeLimit(double sizeLimit)` Deprecated See BEA Commerce product offering
`void` | `setWeightLimit(double weightLimit)` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getShippingMethodByValue

    ShippingMethodValue getShippingMethodByValue()
                                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Get all of ShippingMethod's attributes.

  Returns
    ShippingMethodValue the ShippingMethod value object
  Throws
    `RemoteException`

### setShippingMethodByValue

    void setShippingMethodByValue(ShippingMethodValue value)
                                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `ShippingMethodValue` - the ShippingMethod value object
  Throws
    `RemoteException`

### getIdentifier

    String getIdentifier()
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`

### getSizeLimit

    double getSizeLimit()
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of sizeLimit

  Returns
    sizeLimit.
  Throws
    `RemoteException`

### setSizeLimit

    void setSizeLimit(double sizeLimit)
                      throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of sizeLimit

  Parameters
    `sizeLimit` - sizeLimit to be added
  Throws
    `RemoteException`

### getDescription

    String getDescription()
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of description

  Returns
    description.
  Throws
    `RemoteException`

### setDescription

    void setDescription(String description)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of description

  Parameters
    `description` - description to be added
  Throws
    `RemoteException`

### getSignatureRequired

    boolean getSignatureRequired()
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of signatureRequired

  Returns
    signatureRequired.
  Throws
    `RemoteException`

### setSignatureRequired

    void setSignatureRequired(boolean signatureRequired)
                              throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of signatureRequired

  Parameters
    `signatureRequired` - signatureRequired to be added
  Throws
    `RemoteException`

### getWeightLimit

    double getWeightLimit()
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of weightLimit

  Returns
    weightLimit.
  Throws
    `RemoteException`

### setWeightLimit

    void setWeightLimit(double weightLimit)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of weightLimit

  Parameters
    `weightLimit` - weightLimit to be added
  Throws
    `RemoteException`

### getPercentage

    double getPercentage()
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of percentage

  Returns
    percentage.
  Throws
    `RemoteException`

### setPercentage

    void setPercentage(double percentage)
                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of percentage

  Parameters
    `percentage` - percentage to be added
  Throws
    `RemoteException`

### getPoBoxAllowed

    boolean getPoBoxAllowed()
                            throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of poBoxAllowed

  Returns
    poBoxAllowed.
  Throws
    `RemoteException`

### setPoBoxAllowed

    void setPoBoxAllowed(boolean poBoxAllowed)
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of poBoxAllowed

  Parameters
    `poBoxAllowed` - poBoxAllowed to be added
  Throws
    `RemoteException`

### getRestrictions

    String getRestrictions()
                           throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of restrictions

  Returns
    restrictions.
  Throws
    `RemoteException`

### setRestrictions

    void setRestrictions(String restrictions)
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of restrictions

  Parameters
    `restrictions` - restrictions to be added
  Throws
    `RemoteException`

### getAverageShippingTime

    int getAverageShippingTime()
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of averageShippingTime

  Returns
    averageShippingTime.
  Throws
    `RemoteException`

### setAverageShippingTime

    void setAverageShippingTime(int averageShippingTime)
                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of averageShippingTime

  Parameters
    `averageShippingTime` - averageShippingTime to be added
  Throws
    `RemoteException`

### getCarrier

    String getCarrier()
                      throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of carrier

  Returns
    carrier.
  Throws
    `RemoteException`

### setCarrier

    void setCarrier(String carrier)
                    throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of carrier

  Parameters
    `carrier` - carrier to be added
  Throws
    `RemoteException`

### getSaturdayDelivery

    boolean getSaturdayDelivery()
                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of saturdayDelivery

  Returns
    saturdayDelivery.
  Throws
    `RemoteException`

### setSaturdayDelivery

    void setSaturdayDelivery(boolean saturdayDelivery)
                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of saturdayDelivery

  Parameters
    `saturdayDelivery` - saturdayDelivery to be added
  Throws
    `RemoteException`

### getPrice

    Money getPrice()
                   throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of price

  Returns
    price.
  Throws
    `RemoteException`

### setPrice

    void setPrice(Money price)
                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of price

  Parameters
    `price` - price to be added
  Throws
    `RemoteException`

### getPackagingType

    String getPackagingType()
                            throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of packagingType

  Returns
    packagingType.
  Throws
    `RemoteException`

### setPackagingType

    void setPackagingType(String packagingType)
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of packagingType

  Parameters
    `packagingType` - packagingType to be added
  Throws
    `RemoteException`

### getCostCalculationMechanism

    String getCostCalculationMechanism()
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of costCalculationMechanism

  Returns
    costCalculationMechanism.
  Throws
    `RemoteException`

### setCostCalculationMechanism

    void setCostCalculationMechanism(String costCalculationMechanism)
                                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of costCalculationMechanism

  Parameters
    `costCalculationMechanism` - costCalculationMechanism to be added
  Throws
    `RemoteException`

### getMethod

    String getMethod()
                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of method

  Returns
    method.
  Throws
    `RemoteException`

### setMethod

    void setMethod(String method)
                   throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of method

  Parameters
    `method` - method to be added
  Throws
    `RemoteException`

### getInternationalDelivery

    boolean getInternationalDelivery()
                                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of internationalDelivery

  Returns
    internationalDelivery.
  Throws
    `RemoteException`

### setInternationalDelivery

    void setInternationalDelivery(boolean internationalDelivery)
                                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Set the value of internationalDelivery

  Parameters
    `internationalDelivery` - internationalDelivery to be added
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved